/* Complete Reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    -moz-text-size-adjust: none;
    -webkit-text-size-adjust: none;
    text-size-adjust: none;
}

body,
h1,
p {
    margin-block-end: 0;
}

body {
    min-height: 100vh;
    line-height: 1.5;
}

h1,
input,
label,
button {
    line-height: 1.1;
}

input,
button {
    font-family: inherit;
}

/* Import Custom Fonts */
@font-face {
    font-display: swap;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: url('./assets/fonts/roboto-v51-latin-regular.woff2') format('woff2');
}

@font-face {
    font-display: swap;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 600;
    src: url('./assets/fonts/roboto-v51-latin-600.woff2') format('woff2');
}

/* Root Changes */
:root {
    /* Colors */
    --clr-black: hsl(0, 0%, 0%);
    --clr-white: hsl(0, 0%, 100%);

    --clr-siteBG: hsl(207, 12%, 34%);
    --clr-containerBG: hsl(30, 13%, 91%);

    --clr-generateBtn: hsl(142, 37%, 45%);
    --clr-generateBtnHover: hsl(142, 35%, 35%);

    /* Font */
    --FF: 'Roboto', sans-serif;

    --FS-14: 0.9rem; /* 14px */
    --FS-16: 1rem;   /* 16px */
    --FS-18: 1.1rem; /* 18px */
    --FS-24: 1.5rem; /* 24px */

    --FW-normal: normal;
    --FW-600: 600;
}

/* Typography */
body {
    font-family: var(--FF);
    font-size: var(--FS-16);
    font-weight: var(--FW-normal);
    text-align: center;
}

.title {
    font-size: var(--FS-24);
}

.title,
#generatePass {
    font-weight: var(--FW-600);
}

.desc {
    font-size: var(--FS-14);
}

#generatePass {
    color: var(--clr-white);
    font-size: var(--FS-18);
}

/* General */
body {
    background-color: var(--clr-siteBG);
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: 350px;
    margin: 0 auto;
}

.container {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--clr-containerBG);
    padding: 0.8em;
    border-radius: 12px;
}

.title {
    margin: 0.6em 0 0.5em;
}

.desc {
    margin-bottom: 0.938em;
}

form {
    display: flex;
    flex-direction: column;
    gap: 8px;
    margin-bottom: 0.938em;
}

form div {
    display: flex;
    align-items: center;
    gap: 6px;
    margin-top: 0.5em;
}

#generatePass {
    border: none;
    background-color: var(--clr-generateBtn);
    padding: 0.8em;
    border-radius: 12px;
    cursor: pointer;
    margin-bottom: 0.938em;
    transition: background-color 0.1s ease-in-out;
}

#generatePass:hover,
#generatePass:focus {
    background-color: var(--clr-generateBtnHover);
}

#generatedPass {
    margin-bottom: 0.5em;
}